package com.sifang.modules.monitor.entity;

import org.hibernate.annotations.GenericGenerator;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

@Entity
@Table(name = "crm_monitor_collect_data")
public class MonitorCollectData implements Serializable {

    private static final long serialVersionUID = 6513469140408036102L;

    private String id;

    private String psn;

    private String sn;

    private Integer csq;

    private Integer mty;

    private Date tim;

    private Integer fac;

    private Integer pac;

    private String er;

    private Integer cos;

    private Integer tem;

    private Integer eto;

    private Integer etd;

    private Integer hto;

    private Integer prc;

    private Integer sac;

    private Integer tu;

    private Integer cb;

    private Integer bv;

    private Integer v1;

    private Integer v2;

    private Integer v3;

    private Integer v4;

    private Integer v5;

    private Integer v6;

    private Integer v7;

    private Integer v8;

    private Integer v9;

    private Integer v10;

    private Integer i1;

    private Integer i2;

    private Integer i3;

    private Integer i4;

    private Integer i5;

    private Integer i6;

    private Integer i7;

    private Integer i8;

    private Integer i9;

    private Integer i10;

    private Integer va1;

    private Integer va2;

    private Integer va3;

    private Integer ia1;

    private Integer ia2;

    private Integer ia3;

    private String itv;

    private Integer wn0;

    private Integer wn1;

    private Integer wn2;

    private Integer wn3;

    private Integer wn4;

    private Integer wn5;

    private Integer wn6;

    private Integer wn7;

    private Integer wn8;

    private Integer wn9;

    private Integer pf;

    private Integer s1;

    private Integer s2;

    private Integer s3;

    private Integer s4;

    private Integer s5;

    private Integer s6;

    private Integer s7;

    private Integer s8;

    private Integer s9;

    private Integer s10;

    private Integer s11;

    private Integer s12;

    private Integer s13;

    private Integer s14;

    private Integer s15;

    private Integer s16;

    private Integer s17;

    private Integer s18;

    private Integer s19;

    private Integer s20;

    private String stu;

    private Date tmstp;

    @Id
    @GeneratedValue(generator = "idGenerator")
    @GenericGenerator(name = "idGenerator", strategy = "uuid")
    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPsn() {
        return psn;
    }

    public void setPsn(String psn) {
        this.psn = psn;
    }

    public String getSn() {
        return sn;
    }

    public void setSn(String sn) {
        this.sn = sn;
    }

    public Integer getCsq() {
        return csq;
    }

    public void setCsq(Integer csq) {
        this.csq = csq;
    }

    public Integer getMty() {
        return mty;
    }

    public void setMty(Integer mty) {
        this.mty = mty;
    }

    public Date getTim() {
        return tim;
    }

    public void setTim(Date tim) {
        this.tim = tim;
    }

    public Integer getFac() {
        return fac;
    }

    public void setFac(Integer fac) {
        this.fac = fac;
    }

    public Integer getPac() {
        return pac;
    }

    public void setPac(Integer pac) {
        this.pac = pac;
    }

    public String getEr() {
        return er;
    }

    public void setEr(String er) {
        this.er = er;
    }

    public Integer getCos() {
        return cos;
    }

    public void setCos(Integer cos) {
        this.cos = cos;
    }

    public Integer getTem() {
        return tem;
    }

    public void setTem(Integer tem) {
        this.tem = tem;
    }

    public Integer getEto() {
        return eto;
    }

    public void setEto(Integer eto) {
        this.eto = eto;
    }

    public Integer getEtd() {
        return etd;
    }

    public void setEtd(Integer etd) {
        this.etd = etd;
    }

    public Integer getHto() {
        return hto;
    }

    public void setHto(Integer hto) {
        this.hto = hto;
    }

    public Integer getPrc() {
        return prc;
    }

    public void setPrc(Integer prc) {
        this.prc = prc;
    }

    public Integer getSac() {
        return sac;
    }

    public void setSac(Integer sac) {
        this.sac = sac;
    }

    public Integer getTu() {
        return tu;
    }

    public void setTu(Integer tu) {
        this.tu = tu;
    }

    public Integer getCb() {
        return cb;
    }

    public void setCb(Integer cb) {
        this.cb = cb;
    }

    public Integer getBv() {
        return bv;
    }

    public void setBv(Integer bv) {
        this.bv = bv;
    }

    public Integer getV1() {
        return v1;
    }

    public void setV1(Integer v1) {
        this.v1 = v1;
    }

    public Integer getV2() {
        return v2;
    }

    public void setV2(Integer v2) {
        this.v2 = v2;
    }

    public Integer getV3() {
        return v3;
    }

    public void setV3(Integer v3) {
        this.v3 = v3;
    }

    public Integer getV4() {
        return v4;
    }

    public void setV4(Integer v4) {
        this.v4 = v4;
    }

    public Integer getV5() {
        return v5;
    }

    public void setV5(Integer v5) {
        this.v5 = v5;
    }

    public Integer getV6() {
        return v6;
    }

    public void setV6(Integer v6) {
        this.v6 = v6;
    }

    public Integer getV7() {
        return v7;
    }

    public void setV7(Integer v7) {
        this.v7 = v7;
    }

    public Integer getV8() {
        return v8;
    }

    public void setV8(Integer v8) {
        this.v8 = v8;
    }

    public Integer getV9() {
        return v9;
    }

    public void setV9(Integer v9) {
        this.v9 = v9;
    }

    public Integer getV10() {
        return v10;
    }

    public void setV10(Integer v10) {
        this.v10 = v10;
    }

    public Integer getI1() {
        return i1;
    }

    public void setI1(Integer i1) {
        this.i1 = i1;
    }

    public Integer getI2() {
        return i2;
    }

    public void setI2(Integer i2) {
        this.i2 = i2;
    }

    public Integer getI3() {
        return i3;
    }

    public void setI3(Integer i3) {
        this.i3 = i3;
    }

    public Integer getI4() {
        return i4;
    }

    public void setI4(Integer i4) {
        this.i4 = i4;
    }

    public Integer getI5() {
        return i5;
    }

    public void setI5(Integer i5) {
        this.i5 = i5;
    }

    public Integer getI6() {
        return i6;
    }

    public void setI6(Integer i6) {
        this.i6 = i6;
    }

    public Integer getI7() {
        return i7;
    }

    public void setI7(Integer i7) {
        this.i7 = i7;
    }

    public Integer getI8() {
        return i8;
    }

    public void setI8(Integer i8) {
        this.i8 = i8;
    }

    public Integer getI9() {
        return i9;
    }

    public void setI9(Integer i9) {
        this.i9 = i9;
    }

    public Integer getI10() {
        return i10;
    }

    public void setI10(Integer i10) {
        this.i10 = i10;
    }

    public Integer getVa1() {
        return va1;
    }

    public void setVa1(Integer va1) {
        this.va1 = va1;
    }

    public Integer getVa2() {
        return va2;
    }

    public void setVa2(Integer va2) {
        this.va2 = va2;
    }

    public Integer getVa3() {
        return va3;
    }

    public void setVa3(Integer va3) {
        this.va3 = va3;
    }

    public Integer getIa1() {
        return ia1;
    }

    public void setIa1(Integer ia1) {
        this.ia1 = ia1;
    }

    public Integer getIa2() {
        return ia2;
    }

    public void setIa2(Integer ia2) {
        this.ia2 = ia2;
    }

    public Integer getIa3() {
        return ia3;
    }

    public void setIa3(Integer ia3) {
        this.ia3 = ia3;
    }

    public String getItv() {
        return itv;
    }

    public void setItv(String itv) {
        this.itv = itv;
    }

    public Integer getWn0() {
        return wn0;
    }

    public void setWn0(Integer wn0) {
        this.wn0 = wn0;
    }

    public Integer getWn1() {
        return wn1;
    }

    public void setWn1(Integer wn1) {
        this.wn1 = wn1;
    }

    public Integer getWn2() {
        return wn2;
    }

    public void setWn2(Integer wn2) {
        this.wn2 = wn2;
    }

    public Integer getWn3() {
        return wn3;
    }

    public void setWn3(Integer wn3) {
        this.wn3 = wn3;
    }

    public Integer getWn4() {
        return wn4;
    }

    public void setWn4(Integer wn4) {
        this.wn4 = wn4;
    }

    public Integer getWn5() {
        return wn5;
    }

    public void setWn5(Integer wn5) {
        this.wn5 = wn5;
    }

    public Integer getWn6() {
        return wn6;
    }

    public void setWn6(Integer wn6) {
        this.wn6 = wn6;
    }

    public Integer getWn7() {
        return wn7;
    }

    public void setWn7(Integer wn7) {
        this.wn7 = wn7;
    }

    public Integer getWn8() {
        return wn8;
    }

    public void setWn8(Integer wn8) {
        this.wn8 = wn8;
    }

    public Integer getWn9() {
        return wn9;
    }

    public void setWn9(Integer wn9) {
        this.wn9 = wn9;
    }

    public Integer getPf() {
        return pf;
    }

    public void setPf(Integer pf) {
        this.pf = pf;
    }

    public Integer getS1() {
        return s1;
    }

    public void setS1(Integer s1) {
        this.s1 = s1;
    }

    public Integer getS2() {
        return s2;
    }

    public void setS2(Integer s2) {
        this.s2 = s2;
    }

    public Integer getS3() {
        return s3;
    }

    public void setS3(Integer s3) {
        this.s3 = s3;
    }

    public Integer getS4() {
        return s4;
    }

    public void setS4(Integer s4) {
        this.s4 = s4;
    }

    public Integer getS5() {
        return s5;
    }

    public void setS5(Integer s5) {
        this.s5 = s5;
    }

    public Integer getS6() {
        return s6;
    }

    public void setS6(Integer s6) {
        this.s6 = s6;
    }

    public Integer getS7() {
        return s7;
    }

    public void setS7(Integer s7) {
        this.s7 = s7;
    }

    public Integer getS8() {
        return s8;
    }

    public void setS8(Integer s8) {
        this.s8 = s8;
    }

    public Integer getS9() {
        return s9;
    }

    public void setS9(Integer s9) {
        this.s9 = s9;
    }

    public Integer getS10() {
        return s10;
    }

    public void setS10(Integer s10) {
        this.s10 = s10;
    }

    public Integer getS11() {
        return s11;
    }

    public void setS11(Integer s11) {
        this.s11 = s11;
    }

    public Integer getS12() {
        return s12;
    }

    public void setS12(Integer s12) {
        this.s12 = s12;
    }

    public Integer getS13() {
        return s13;
    }

    public void setS13(Integer s13) {
        this.s13 = s13;
    }

    public Integer getS14() {
        return s14;
    }

    public void setS14(Integer s14) {
        this.s14 = s14;
    }

    public Integer getS15() {
        return s15;
    }

    public void setS15(Integer s15) {
        this.s15 = s15;
    }

    public Integer getS16() {
        return s16;
    }

    public void setS16(Integer s16) {
        this.s16 = s16;
    }

    public Integer getS17() {
        return s17;
    }

    public void setS17(Integer s17) {
        this.s17 = s17;
    }

    public Integer getS18() {
        return s18;
    }

    public void setS18(Integer s18) {
        this.s18 = s18;
    }

    public Integer getS19() {
        return s19;
    }

    public void setS19(Integer s19) {
        this.s19 = s19;
    }

    public Integer getS20() {
        return s20;
    }

    public void setS20(Integer s20) {
        this.s20 = s20;
    }

    public String getStu() {
        return stu;
    }

    public void setStu(String stu) {
        this.stu = stu;
    }

    public Date getTmstp() {
        return tmstp;
    }

    public void setTmstp(Date tmstp) {
        this.tmstp = tmstp;
    }
}
